services:
  Comsa\SuluReservations\EventSubscriber\ReservationSubscriber:
    tags:
      - { name: 'kernel.event_subscriber'}
    arguments:
      - '@mailer.mailer'
      - '@parameter_bag'
      - '@translator'
      - '@twig'
      - '@doctrine.orm.entity_manager'

  Comsa\SuluReservations\EventSubscriber\ReservableSubscriber:
    tags:
      - { name: kernel.event_subscriber }
    arguments:
      - '@comsa.re.service.document'

  Comsa\SuluReservations\EventListener\FormSavePreEventListener:
    tags:
      - { name: 'kernel.event_listener', event: 'sulu_form.handler.save', method: 'onSubmit' }
    arguments:
      - '@doctrine.orm.entity_manager'
      - '@router.default'
      - '@request_stack'
      - '@comsa.re.service.reservable'
      - '@comsa.re.service.reservation'
      - '@comsa.re.manager.reservation'
